/****************************************************************************
**
** Copyright AbouZakaria.
** All rights reserved.
** Contact: AbouZakaria (yahia67@live.com)
**
** $xbook_BEGIN_LICENSE:GPL$
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU General Public License version 3.0 requirements will be
** met: http://www.gnu.org/copyleft/gpl.html.
**
** If you have questions regarding the use of this file, please contact
** AbouZakaria (yahia67@live.com)
** $xbook_END_LICENSE$
**
****************************************************************************/

#include <QtGui/QApplication>
#include "mainwindow.h"
 #include <QDir>
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QDir dir;
    QString h=dir.homePath();
    QIcon icon;
    icon.addPixmap(QPixmap(QString::fromUtf8(":/img/xbook48.png")), QIcon::Normal, QIcon::Off);
    a.setWindowIcon(icon);

    if (!dir.exists(h+"/.kirtasse")) //التاكد من وجود مجلد المكتبة
    {
        dir.mkdir( h+"/.kirtasse");
    }
    if (!dir.exists(h+"/.kirtasse/xbook")) //التاكد من وجود مجلد المكتبة
    {
        dir.mkdir( h+"/.kirtasse/xbook");
    }

    MainWindow w;
    w.show();
    return a.exec();
}
